<?php // $Id: view.php,v 1.3 2007/08/08 23:26:28 stronk7 Exp $

/*
 **************************************************************************
 *                                                                        *
 *               DDDDD   iii                 dd  iii                      *
 *               DD  DD      mm mm mmmm      dd      mm mm mmmm           *
 *               DD   DD iii mmm  mm  mm  ddddd  iii mmm  mm  mm          *
 *               DD   DD iii mmm  mm  mm dd  dd  iii mmm  mm  mm          *
 *               DDDDDD  iii mmm  mm  mm  ddddd  iii mmm  mm  mm          *
 *                                                                        *
 *                                                                        *
 *                  Visit us at http://www.dimdim.com                     *
 *                  The Friendly Open Source Web Meeting                  *
 **************************************************************************
 **************************************************************************
 * NOTICE OF COPYRIGHT                                                    *
 *                                                                        *
 * Copyright (C) 2007                                                     *
 *                                                                        *
 * This program is free software; you can redistribute it and/or modify   *
 * it under the terms of the GNU General Public License as published by   *
 * the Free Software Foundation; either version 2 of the License, or      *
 * (at your option) any later version.                                    *
 *                                                                        *
 * This program is distributed in the hope that it will be useful,        *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of         *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the          *
 * GNU General Public License for more details:                           *
 *                                                                        *
 *          http://www.gnu.org/copyleft/gpl.html                          *
 *                                                                        *
 *                                                                        *
 *                                                                        *
 **************************************************************************
 */

/// This page prints a particular instance of dimdim

    require_once('../../config.php');
    require_once('lib.php');
    require_once($CFG->libdir.'/blocklib.php');
    require_once('pagelib.php');
    require_once('dimdim_javascript.php');

    $id          = optional_param('id', 0, PARAM_INT);
    $c           = optional_param('c', 0, PARAM_INT);
    $edit        = optional_param('edit', '');

    function link_to_dimdimpopup_window ($url, $name='popup', $linkname='click here',
                                   $height=400, $width=500, $title='Popup window', $options='none', $return=false) {

        global $CFG;

        if ($options == 'none') {
            $options = 'menubar=0,location=0,scrollbars,resizable,width='. $width .',height='. $height;
        }
        $fullscreen = 0;

        $link = '<a target="'. $name .'" title="'. $title .'" href="' . $url . '"'.
               "onclick=\"return dimdimopenpopup('$url', '$name', '$options', $fullscreen);\">$linkname</a>";
        if ($return) {
            return $link;
        } else {
            echo $link;
        }
}

    if ($id) {
        if (! $cm = get_record('course_modules', 'id', $id)) {
            error('Course Module ID was incorrect');
        }

        if (! $course = get_record('course', 'id', $cm->course)) {
            error('Course is misconfigured');
        }

        dimdim_update_dimdim_times($cm->instance);

        if (! $dimdim = get_record('dimdim', 'id', $cm->instance)) {
            error('Course module is incorrect');
        }

    } else {
        dimdim_update_dimdim_times($c);

        if (! $dimdim = get_record('dimdim', 'id', $c)) {
            error('Course module is incorrect');
        }
        if (! $course = get_record('course', 'id', $dimdim->course)) {
            error('Course is misconfigured');
        }
        if (! $cm = get_coursemodule_from_instance('dimdim', $dimdim->id, $course->id)) {
            error('Course Module ID was incorrect');
        }
    }

    require_course_login($course, true, $cm);

    $context = get_context_instance(CONTEXT_MODULE, $cm->id);

    add_to_log($course->id, 'dimdim', 'view', "view.php?id=$cm->id", $dimdim->id, $cm->id);

// Initialize $PAGE, compute blocks

    $PAGE       = page_create_instance($dimdim->id);
    $pageblocks = blocks_setup($PAGE);
    $blocks_preferred_width = bounded_number(180, blocks_preferred_width($pageblocks[BLOCK_POS_LEFT]), 210);

/// Print the page header

    $strnextsession  = get_string('nextsession', 'dimdim');

    if (!empty($edit) && $PAGE->user_allowed_editing()) {
        if ($edit == 'on') {
            $USER->editing = true;
        } else if ($edit == 'off') {
            $USER->editing = false;
        }
    }

    $PAGE->print_header($course->shortname.': %fullname%');

    echo '<table id="layout-table"><tr>';

    if(!empty($CFG->showblocksonmodpages) && (blocks_have_content($pageblocks, BLOCK_POS_LEFT) || $PAGE->user_is_editing())) {
        echo '<td style="width: '.$blocks_preferred_width.'px;" id="left-column">';
        blocks_print_group($PAGE, $pageblocks, BLOCK_POS_LEFT);
        echo '</td>';
    }

    echo '<td id="middle-column">';

    print_heading(format_string($dimdim->name));

/// Check to see if groups are being used here
    $groupmode = groupmode($course, $cm);
    $currentgroup = setup_and_print_groups($course, $groupmode, "view.php?id=$cm->id");


    if ($currentgroup) {
        $groupselect = " AND groupid = '$currentgroup'";
        $groupparam = "&amp;groupid=$currentgroup";
    } else {
        $groupselect = "";
        $groupparam = "";
    }

    $ip = $CFG->dimdim_serverhost;
    $port = $CFG->dimdim_serverport;
    $email = $USER->email;
    $displayname = $USER->firstname." ".$USER->lastname;
    $confname = "$dimdim->name";


    $lobbyvalue = get_field('dimdim','lobby','id',$dimdim->id);
    if($lobbyvalue)
    {
    $lobby = 'true';
    }
    else
    {
    $lobby = 'false';
    }


    $networkprof = get_field('dimdim','networkprofile','id',$dimdim->id) + 1;


    $meethrsvalue = get_field('dimdim','meetinghours','id',$dimdim->id);

    if ($meethrsvalue == 0)
        $meethrs = 1;
        else if ($meethrsvalue == 1)
        $meethrs = 2;
        else if ($meethrsvalue == 2)
        $meethrs = 3;
        else if ($meethrsvalue == 3)
        $meethrs = 4;
        else if ($meethrsvalue == 4)
        $meethrs = 5;

    $meetmin = 0;

    $maxparticipantsvalue = get_field('dimdim','maxparticipants','id',$dimdim->id);

    if ($maxparticipantsvalue == 0)
    $maxpart = 20;
    else if ($maxparticipantsvalue == 1)
    $maxpart = 40;
    else if ($maxparticipantsvalue == 2)
    $maxpart = 60;
    else if ($maxparticipantsvalue == 3)
    $maxpart = 80;
    else if ($maxparticipantsvalue == 4)
    $maxpart = 100;
    else if ($maxparticipantsvalue == 5)
    $maxpart = 200;
    else if ($maxparticipantsvalue == 6)
    $maxpart = 300;
    else if ($maxparticipantsvalue == 7)
    $maxpart = 400;
    else
    $maxpart = 500;


    $potentialpresenter = "null";

    $audioorvideo = get_field('dimdim','audiovideosettings','id',$dimdim->id);
    if($audioorvideo)
    {
    $meetaudio = "av";
    }
    else
    {
    $meetaudio = "audio";
    }

    $meetattendees = " ";
    $meetmike = get_field('dimdim','maxmikes','id',$dimdim->id);

    $returnurl = $CFG->wwwroot;
    $formload = 'true';

    $dbtime = get_field('event','timestart','name',$dimdim->name);
    $now = time();

    if((($dbtime - 900) <= $now ) && ($now <= ($dbtime + 7200)))
    {
        if (!isguestuser() and isloggedin()) {
                print_simple_box_start('center');
                if(dimdim_is_teacher($dimdim))
                {
                    $confkey = get_field('dimdim','confkey','id',$dimdim->id);
                    $url = "http://".$ip.":".$port."/dimdim/html/envcheck/connect.action?".
		    "action=host".
		    "&email=".$email.
		    "&meetingRoomName=".$confkey.
		    "&displayName=".$displayname.
		    "&confName=".$confname.
		    "&lobby=".$lobby.
		    "&networkProfile=".$networkprof.
		    "&meetingHours=".$meethrs.
		    "&meetingMinutes=".$meetmin.
		    //"&maxParticipants=".$maxpart.
		    "&presenterAV=".$meetaudio.
		    //"&attendees=".$meetattendees.
		    //"&maxAttendeeMikes=".$meetmike.
		    "&returnUrl=".$returnurl.
		    "&whiteboardEnabled=true".
		    "&screenShareEnabled=true".
		    "&participantListEnabled=true".
		    "&dialInfoVisible=false".
		    "&assistantEnabled=true".
		    "&collabUrl=http://www.steps.com.tw";
		    //"&submitFormOnLoad=".$formload.
		    link_to_dimdimpopup_window($url," ", get_string("clickstartmeeting", 'dimdim'), 500, 700, get_string('modulename', 'dimdim'));
                }
                else {
                    $joinkey = get_field('dimdim','confkey','id',$dimdim->id);
                    $url = "http://".$ip.":".$port."/dimdim/html/envcheck/connect.action?".
		    "action=join&".
		    "email=".$email.
		    "&meetingRoomName=".$joinkey.
		    "&displayName=".$displayname;
		    //"&submitFormOnLoad=".$formload;
		    link_to_dimdimpopup_window($url, " ", get_string("clickjoinmeeting", 'dimdim'), 500, 700, get_string('modulename', 'dimdim'));
                    echo "<br /><br />";
		    print_string("joinmeetinginformation", 'dimdim');
                    }
                print_simple_box_end();
               }
        else {
                $wwwroot = $CFG->wwwroot.'/login/index.php';
                if (!empty($CFG->loginhttps)) {
                    $wwwroot = str_replace('http','https', $wwwroot);
                }

                notice_yesno(get_string('noguests', 'dimdim').'<br /><br />'.get_string('liketologin'),
                             $wwwroot, $_SERVER['HTTP_REFERER']);
                print_footer($course);
                exit;
        }
    }
    $difference = $now - $dbtime;
    $difference=-$difference;
    $days = floor($difference/86400);
    $difference = $difference - ($days*86400);
    $hours = floor($difference/3600);
    $difference = $difference - ($hours*3600);
    $minutes = floor($difference/60);
    $difference = $difference - ($minutes*60);
    $seconds = $difference;

    $output = "after $days Days, $hours Hours, $minutes Minutes and $seconds Seconds,";
    $outputwithoutdays = "after $hours Hours, $minutes Minutes and $seconds Seconds,";

    if(($now < ($dbtime - 900)))
    {
        if($days == 0)
        {
        print_simple_box_start('center');
        if(dimdim_is_teacher($dimdim))
            print_string("meetingtimenonstart", 'dimdim');
        else
            print_string("meetingtimenonstartjoin", 'dimdim');
        }
        else
        {
        print_simple_box_start('center');
        if(dimdim_is_teacher($dimdim))
                print_string("meetingtimenonstartname", 'dimdim');
            else
                print_string("meetingtimenonstartjoinname", 'dimdim');
        }
    }

    if($now > ($dbtime + 7200))
    {
        print_simple_box_start('center');
        print_string("meetingtimeend", 'dimdim');
    }


    if ($dimdim->dimdimtime and $dimdim->schedule) {  // A dimdim is scheduled
        echo "<p align=\"center\">$strnextsession: ".userdate($dimdim->dimdimtime).' ('.usertimezone($USER->timezone).')</p>';
    } else {
        echo '<br />';
    }

    if ($dimdim->intro) {
        print_simple_box(format_text($dimdim->intro), 'center', '70%', '', 5, 'generalbox', 'intro');
        echo '<br />';
    }

/// Finish the page
    echo '</td></tr></table>';

    print_footer($course);

?>
