<?php

require_once('../../config.php');

httpsrequired();
require_login();
//$context = get_context_instance(CONTEXT_SYSTEM);
//require_capability('moodle/site:viewreports', $context); // basic capability for listing of reports

$strreports = get_string('courseStandardSetup', 'reportmodule');

print_header($strreports, $strreports);

?>
    
<script type="text/javascript" src="lib/jquery-1.3.2.js"> </script>

<!-- plug in dialog function -->

<script type="text/javascript">

var initForm = function(){
      $.ajax({
            type: "POST",
            url: "<?php echo "$CFG->wwwroot/blocks/report_module/coursestandard/view.php?dummy="; ?>" + new Date().getTime(),
            async: false,
            success: function(html){
                  $("#selectcourseform").append(html);
                  $('#setupcoursescoreform').empty();
            }
      });   
}

var selectCategoryAction = function(){
      $('#menucategory').change( function () {
            $.ajax({
                  type: "POST",
                  url: "<?php echo "$CFG->wwwroot/blocks/report_module/coursestandard/view.php?dummy="; ?>" + new Date().getTime(),
                  data: "menucategory=" + $('#menucategory').attr('value'),
                  async: false,
                  success: function(data){
                        $('#selectcourseform').html(data);
                        selectCategoryAction();
                        selectCourseAction();
                        $('#setupcoursescoreform').empty();
                  }
            });
      });
}

var selectCourseAction = function(){
      $('#menucourse').change( function () {
            $.ajax({
                  type: "POST",
                  url: "<?php echo "$CFG->wwwroot/blocks/report_module/coursestandard/view.php?dummy="; ?>" + new Date().getTime(),
                  data: "menucourse=" + $('#menucourse').attr('value') + "&menucategory=" + $('#menucategory').attr('value'),
                  async: false,
                  success: function(data){
                        $('#selectcourseform').html(data);
                        selectCategoryAction();
                        selectCourseAction();
                        setupCourseScoreAction();
                  }
            });
      });
}

var setupCourseScoreAction = function(){
      $.ajax({
            type: "POST",
            url: "<?php echo "$CFG->wwwroot/blocks/report_module/coursestandard/setupscore.php?dummy="; ?>" + new Date().getTime(),
            data: "menuaction=setupscore&menucourse=" + $('#menucourse').attr('value'),
            async: false,
            success: function(data){
                  $('#setupcoursescoreform').html(data);
            }
      });
}

$(document).ready( function(){
      initForm();
      selectCategoryAction();
});


</script>

<style type="text/css">

</style>

<?php

if (!defined('MOODLE_INTERNAL')) {
    die('Direct access to this script is forbidden.');    ///  It must be included from a Moodle page
}

global $USER, $CFG;

print_heading(get_string('selectCourseSetupStandard', 'reportmodule').':');

echo "<div id=\"context_main\">";
echo "<form action=\"$CFG->wwwroot/blocks/report_module/coursestandard/index.php\" method=\"post\">\n";

      echo "<div id=\"selectcourseform\">\n";
      echo '</div>'."\n";

      echo '<p></p>';

      echo "<div id=\"setupcoursescoreform\">\n";
      echo '</div>'."\n";

echo '</form>'."\n";
echo "</div>";

print_footer();

?>
