<?php

require_once('../../../config.php');

httpsrequired();
require_login();
$context = get_context_instance(CONTEXT_SYSTEM);
require_capability('moodle/site:viewreports', $context); // basic capability for listing of reports

$userID        = optional_param('userid', 0, PARAM_INT);

if ( !$user = get_record('user', 'id', $userID) ) {
    error(get_string('pleaseSelectRightStudnetName7', 'reportmodule'));
}

$strreports = get_string('studentReport7', 'reportmodule');

print_header($strreports, $strreports);

?>
    
<script type="text/javascript" src="../lib/jquery-1.3.2.js"> </script>

<script type="text/javascript">

var initForm = function(){
      $.ajax({
            type: "POST",
            url: "<?php echo "$CFG->wwwroot/blocks/report_module/reportstudent/view.php?dummy="; ?>" + new Date().getTime() + "&menuuser=<?php echo $userID; ?>",
            async: false,
            success: function(html){
                  $("#selectcourseform").append(html);
                  $('#checkcoursescoreform').empty();
            }
      });   
}

var selectCourseAction = function(){
      $('#menucourse').change( function () {
            $.ajax({
                  type: "POST",
                  url: "<?php echo "$CFG->wwwroot/blocks/report_module/reportstudent/view.php?dummy="; ?>" + new Date().getTime(),
                  data: "menucourse=" + $('#menucourse').attr('value') + "&menucategory=" + $('#menucategory').attr('value') + "&menuuser=<?php echo $userID; ?>",
                  async: false,
                  success: function(data){
                        $('#selectcourseform').html(data);
                        selectCourseAction();
                        checkCourseScoreAction();
                  }
            });
      });
}

var checkCourseScoreAction = function(){
      $.ajax({
            type: "POST",
            url: "<?php echo "$CFG->wwwroot/blocks/report_module/reportstudent/checkscore.php?dummy="; ?>" + new Date().getTime(),
            data: "menuaction=checkscore&menucourse=" + $('#menucourse').attr('value'),
            async: false,
            success: function(data){
                  $('#checkcoursescoreform').html(data);
            }
      });
}

$(document).ready( function(){
      initForm();
      selectCourseAction();
});


</script>

<style type="text/css" media="all">

#loading {
      position:         absolute;
      top:              0px;
      right:            0px;
      background:       #ffffff;
      color:            #000000;
      font-size:        16px;
      font-familly:     Arial;
      padding:          2px;
      display:          none;
}

</style>

<?php

if (!defined('MOODLE_INTERNAL')) {
    die('Direct access to this script is forbidden.');    ///  It must be included from a Moodle page
}

global $USER, $CFG;

print_heading(get_string('selectYouwantViewStudnetCourseRecord7', 'reportmodule'));

$user = get_record('user', 'id', $userID);

echo '<p>'.get_string('studentName7', 'reportmodule').$user->firstname.$user->lastname.'</p>';

echo '<p>'.get_string('studentintro7', 'reportmodule').$user->description.'</p>';

echo '<p>'.get_string('email7', 'reportmodule').$user->email.'</p>';

echo "<div id=\"selectcourseform\">\n";

echo '</div>'."\n";

echo '<p></p>';

echo "<div id=\"checkcoursescoreform\">\n";

echo '</div>'."\n";

echo '<div id="loading"><img src="../pic/loading.gif">&nbsp;Loading&nbsp;...</div>';

print_footer();

?>
