<?php

require_once('../../config.php');

httpsrequired();
require_login();
$context = get_context_instance(CONTEXT_SYSTEM);
require_capability('moodle/site:viewreports', $context); // basic capability for listing of reports

$strreports = get_string('coursePassrateCal', 'reportmodule');

print_header($strreports, $strreports);

?>
    
<script type="text/javascript" src="lib/jquery-1.3.2.js"> </script>

<script type="text/javascript">

var initForm = function(){
      $.ajax({
            type: "POST",
            url: "<?php echo "$CFG->wwwroot/blocks/report_module/coursepassrate/view.php?dummy="; ?>" + new Date().getTime(),
            async: false,
            success: function(html){
                  $("#selectcourseform").append(html);
                  $('#coursepassrate').empty();
            }
      });   
}

var selectCategoryAction = function(){
      $('#menucategory').change( function () {
            $.ajax({
                  type: "POST",
                  url: "<?php echo "$CFG->wwwroot/blocks/report_module/coursepassrate/view.php?dummy="; ?>" + new Date().getTime(),
                  data: "menucategory=" + $('#menucategory').attr('value'),
                  async: false,
                  success: function(data){
                        $('#selectcourseform').html(data);
                        selectCategoryAction();
                        selectCourseAction();
                        $('#coursepassrate').empty();
                        clickCaculateAction();
                  }
            });
      });
}

var selectCourseAction = function(){
      $('#menucourse').change( function () {
            $.ajax({
                  type: "POST",
                  url: "<?php echo "$CFG->wwwroot/blocks/report_module/coursepassrate/view.php?dummy="; ?>" + new Date().getTime(),
                  data: "menucourse=" + $('#menucourse').attr('value') + "&menucategory=" + $('#menucategory').attr('value'),
                  async: false,
                  success: function(data){
                        $('#selectcourseform').html(data);
                        selectCategoryAction();
                        selectCourseAction();
                        $('#coursepassrate').empty();
                        clickCaculateAction();
                  }
            });
      });
}

var clickCaculateAction = function(){
      $('#caculaterate').click( function () {
            showLoading();
            $.ajax({
                type: "POST",
                url: "<?php echo "$CFG->wwwroot/blocks/report_module/coursepassrate/caculatepassrate.php?dummy="; ?>" + new Date().getTime(),
                data: "menucategory=" + $('#menucategory').attr('value') + "&menucourse=" + $('#menucourse').attr('value'),
                async: false,
                success: function(data){
                    closeLoading();
                    $('#coursepassrate').empty();
                    $('#coursepassrate').html(data);
                    clickCaculateAction();
                    selectCategoryAction();
                    selectCourseAction();
                },
                error: function(data){
                    closeLoading();
                }
            });
      });
}

var showLoading = function() {
      $("#loading").css("display","block");
}

var closeLoading = function() {
      $("#loading").css("display","none");
}

$(document).ready( function(){
      initForm();
      selectCategoryAction();
      clickCaculateAction();
});


</script>

<style type="text/css" media="all">

#loading {
      position:         absolute;
      top:              0px;
      right:            0px;
      background:       #ffffff;
      color:            #000000;
      font-size:        16px;
      font-familly:     Arial;
      padding:          2px;
      display:          none;
}

</style>

<?php

if (!defined('MOODLE_INTERNAL')) {
    die('Direct access to this script is forbidden.');    ///  It must be included from a Moodle page
}

global $USER, $CFG;

print_heading(get_string('selectCoursePassrare', 'reportmodule').':');

echo "<div id=\"selectcourseform\">\n";
echo '</div>'."\n";

echo '<p></p>';

echo "<div id=\"coursepassrate\">\n";
echo '</div>'."\n";

echo '<div id="loading"><img src="pic/loading.gif">&nbsp;Loading&nbsp;...</div>';

print_footer();

?>
