<?php // $Id: index.php,v 1.19.2.3 2008/11/29 16:16:21 skodak Exp $
      // Displays different views of the logs.

require_once('../../../config.php');
require_once('../lib/function.php');

httpsrequired();
require_login();

global $USER, $CFG;

//$context = get_context_instance(CONTEXT_SYSTEM);
//require_capability('moodle/site:viewreports', $context); // basic capability for listing of reports

//require_once('../../lib.php');
//require_once('lib.php');
//require_once($CFG->libdir.'/adminlib.php');

$strreports = get_string('courseStandard1', 'reportmodule');
print_header($strreports, $strreports);
print_heading(get_string('courseStandardStoreDisplay', 'reportmodule'));

$courseID      = optional_param('courseID', 0, PARAM_INT);

if ( !$course = get_record('course', 'id', $courseID) ) {
      error(get_string('selectRightCourseName1', 'reportmodule'));
}

$context = get_context_instance(CONTEXT_COURSE, $course->id);
if (!has_capability('moodle/grade:viewall', $context)) {
      error(get_string('NoModifyCourseStandardAuth', 'reportmodule'));
}

$courseAction = getCourseActionItem($courseID);

$courseStandardArray = array();
$courseStandardArray['course'] = array();
$courseStandardArray['course']['timeCheck'] = optional_param('courseTimeCheck', 0, PARAM_INT);
$courseStandardArray['course']['time'] = optional_param('courseTime', 0, PARAM_NUMBER);
$courseStandardArray['course']['scoreCheck'] = optional_param('courseScoreCheck', 0, PARAM_INT);
$courseStandardArray['course']['score'] = optional_param('courseScore', 0, PARAM_NUMBER);

foreach($courseAction as $courseActionOne) {
      $courseStandardArray[$courseActionOne->id] = array();
      $courseStandardArray[$courseActionOne->id]['timeCheck'] = optional_param('actionTimeCheck'.$courseActionOne->id, 0, PARAM_INT);
      $courseStandardArray[$courseActionOne->id]['time'] = optional_param('actionTime'.$courseActionOne->id, 0, PARAM_NUMBER);
      $courseStandardArray[$courseActionOne->id]['scoreCheck'] = optional_param('actionScoreCheck'.$courseActionOne->id, 0, PARAM_INT);
      $courseStandardArray[$courseActionOne->id]['score'] = optional_param('actionScore'.$courseActionOne->id, 0, PARAM_NUMBER);
}

$courseStandardString = serialize($courseStandardArray);

if ( !$reportmodule = get_record('reportmodule', 'courseid', $courseID) ) {
      $newreportmodule = new stdClass();
      $newreportmodule->courseid = $courseID;
      $newreportmodule->info = $courseStandardString;
      $newreportmodule->userid = '';
      $newreportmodule->timemodified = time();
      if (!$reportmoduleID = insert_record('reportmodule', $newreportmodule)) {
            error("Could not insert the new reportmodule");
      }   
} else {
      $updatereportmodule = new stdClass();
      $updatereportmodule->id = $reportmodule->id;
      $updatereportmodule->courseid = $courseID;
      $updatereportmodule->info = $courseStandardString;
      $updatereportmodule->userid = $USER->id;
      $updatereportmodule->timemodified = time();
      if ( !update_record('reportmodule', $updatereportmodule) ) {
            error( "Could not update the reportmodule");
      }
}

notify(get_string('updateSuccess', 'reportmodule'));

global $CFG;
echo '<div align="center"><a href="'.$CFG->wwwroot.'/blocks/report_module/coursestandard.php'.'">'.get_string('backPage', 'reportmodule').'</a><div>';

//redirect($CFG->wwwroot . '/course/category.php?id=' . $id . '&categoryedit=on');
//$courseStandardArray = array();
//$courseStandardArray = unserialize($courseStandardString);

print_footer();


?>