<?php

require_once('../../config.php');
require_once('lib/jqueryuifunction.php');

httpsrequired();
require_login();
//$context = get_context_instance(CONTEXT_SYSTEM);
//require_capability('moodle/site:viewreports', $context); // basic capability for listing of reports

$strreports = get_string('courseReport', 'reportmodule');

print_header($strreports, $strreports);

printJQueryLibScrpit(); //include jquery libary

?>

<script type="text/javascript">

var initForm = function(){
      $.ajax({
            type: "POST",
            url: "<?php echo "$CFG->wwwroot/blocks/report_module/reportcourse/view.php?dummy="; ?>" + new Date().getTime(),
            async: false,
            success: function(html){
                  $("#selectcourseform").append(html);
                  $('#checkcoursescoreform').empty();
            }
      });
      $.ui.dialog.defaults.bgiframe = true;
      $.ui.dialog.defaults.hide = 'slide';
      //$.ui.dialog.defaults.show= 'slide';
      $.ui.dialog.defaults.height = 460;
      $.ui.dialog.defaults.width = 640;
      $("#editDialog").hide();
}

var selectCategoryAction = function(){
      $('#menucategory').change( function () {
            $.ajax({
                  type: "POST",
                  url: "<?php echo "$CFG->wwwroot/blocks/report_module/reportcourse/view.php?dummy="; ?>" + new Date().getTime(),
                  data: "menucategory=" + $('#menucategory').attr('value'),
                  async: false,
                  success: function(data){
                        $('#selectcourseform').html(data);
                        selectCategoryAction();
                        selectCourseAction();
                        $('#checkcoursescoreform').empty();
                  }
            });
      });
}

var selectCourseAction = function(){
      $('#menucourse').change( function () {
            $.ajax({
                  type: "POST",
                  url: "<?php echo "$CFG->wwwroot/blocks/report_module/reportcourse/view.php?dummy="; ?>" + new Date().getTime(),
                  data: "menucourse=" + $('#menucourse').attr('value') + "&menucategory=" + $('#menucategory').attr('value'),
                  async: false,
                  success: function(data){
                        $('#selectcourseform').html(data);
                        selectCategoryAction();
                        selectCourseAction();
                        checkCourseScoreAction();
                  }
            });
      });
}

var checkCourseScoreAction = function(){
      $.ajax({
            type: "POST",
            url: "<?php echo "$CFG->wwwroot/blocks/report_module/reportcourse/checkscore.php?dummy="; ?>" + new Date().getTime(),
            data: "menuaction=checkscore&menucourse=" + $('#menucourse').attr('value'),
            async: false,
            success: function(data){
                  $('#checkcoursescoreform').html(data);
                  clickAction();
            }
      });
}

var clickAction = function(){
      $("#sentCourseInfoButton").click( function () {
            switch( $('#menureportformat').attr('value') )
            {
                  case 'showashtml':
                        showLoading();
                        $.ajax({
                              type: "POST",
                              url: "<?php echo "$CFG->wwwroot/blocks/report_module/reportcourse/index.php?dummy="; ?>" + new Date().getTime(),
                              data: "category=" + $('#menucategory').attr('value') + "&course=" + $('#menucourse').attr('value')
                                    + "&user=" + $('#menuuser').attr('value') + "&date=" + $('#menudate').attr('value')
                                    + "&reportformat=" + $('#menureportformat').attr('value'),
                              async: true,
                              success: function(html){
                                    closeLoading();
                                    var htmlForm = '<div id="dialog" title="Course Report">' + html + "</div>";
                                    $("#editDialog").append(htmlForm);
                                    $("#dialog").dialog();
                              },
                              error: function(html){
                                    closeLoading();
                                    var htmlForm = '<div id="dialog" title="System Dialog">' + "Connect Error!" + "</div>";
                                    $("#editDialog").append(htmlForm);
                                    $("#dialog").dialog();
                              }
                        });
                  break;
                  case 'downloadasods':
                        var odsURL = "<?php echo "$CFG->wwwroot/blocks/report_module/reportcourse/index.php"; ?>"
                        + "?category=" + $('#menucategory').attr('value') + "&course=" + $('#menucourse').attr('value')
                        + "&user=" + $('#menuuser').attr('value') + "&date=" + $('#menudate').attr('value')
                        + "&reportformat=" + $('#menureportformat').attr('value')
                        + "&dummy=" + new Date().getTime();
                        setTimeout( location.href=(odsURL), 50); //ms    
                  break;
                  default:
                        var htmlForm = '<div id="dialog" title="System Dialog">' + "Select Form Error!" + "</div>";
                        $("#editDialog").append(htmlForm);
                        $("#dialog").dialog();
                  break;
            } 
    });
}

var showLoading = function() {
      $("#loading").css("display","block");
}

var closeLoading = function() {
      $("#loading").css("display","none");
}

$(document).ready( function(){
      initForm();
      selectCategoryAction();
});


</script>

<style type="text/css" media="all">

#loading {
      position:         absolute;
      top:              0px;
      right:            0px;
      background:       #ffffff;
      color:            #000000;
      font-size:        16px;
      font-familly:     Arial;
      padding:          2px;
      display:          none;
}

.obviousword1 {
      color:red;
}

</style>

<?php

if (!defined('MOODLE_INTERNAL')) {
    die('Direct access to this script is forbidden.');    ///  It must be included from a Moodle page
}

global $USER, $CFG;

print_heading(get_string('selectViewCourseRecord', 'reportmodule').':');

echo "<div id=\"selectcourseform\">\n";
echo '</div>'."\n";

echo '<p></p>';

echo "<div id=\"checkcoursescoreform\">\n";
echo '</div>'."\n";

echo '<div id="editDialog">';
echo '</div>'."\n";

echo '<div id="loading"><img src="pic/loading.gif">&nbsp;Loading&nbsp;...</div>';

print_footer();

?>
