<?php

require_once('../../config.php');
require_once('lib/jqueryuifunction.php');

httpsrequired();
require_login();

$strreports = get_string('studentStudytrack', 'reportmodule');
print_header($strreports, $strreports);
printJQueryLibScrpit(); //include jquery libary

if (!defined('MOODLE_INTERNAL')) {
    die('Direct access to this script is forbidden.');    ///  It must be included from a Moodle page
}

global $USER, $CFG;

print_heading(get_string('selectViewCourseRecord1', 'reportmodule'));

?>

<script type="text/javascript">

var initInformation = function(){
      $.ajax({
            type: "POST",
            url: "<?php echo "$CFG->wwwroot/blocks/report_module/studenttrack/view.php?dummy="; ?>" + new Date().getTime() + "&menuuser=<?php echo $userID; ?>",
            async: false,
            success: function(html){
                $("#courseInformation").append(html);
                clickCourseChoiseAction();
            }
      });
      $.ui.dialog.defaults.bgiframe = true;
      $.ui.dialog.defaults.hide = 'slide';
      //$.ui.dialog.defaults.show= 'slide';
      $.ui.dialog.defaults.height = 460;
      $.ui.dialog.defaults.width = 640;
      $("#editDialog").hide();
}

var clickCourseChoiseAction = function(){
    $('#courseClick .courseButtonClick').click(function() {
        showLoading();
        $.ajax({
            type: "POST",
            url: "<?php echo "$CFG->wwwroot/blocks/report_module/studenttrack/index.php?dummy="; ?>" + new Date().getTime(),
            data: "courseid=" + this.name,
            async: true,
            success: function(html){
                closeLoading();
                var htmlForm = '<div id="dialog" title="Course Report">' + html + "</div>";
                $("#editDialog").append(htmlForm);
                $("#dialog").dialog();
                //clickCourseChoiseAction();
            },
            error: function(html){
                closeLoading();
                var htmlForm = '<div id="dialog" title="System Dialog">' + "Connect Error!" + "</div>";
                $("#editDialog").append(htmlForm);
                $("#dialog").dialog();
                //clickCourseChoiseAction();
            }
        });
    });
}

var showLoading = function() {
      $("#loading").css("display","block");
}

var closeLoading = function() {
      $("#loading").css("display","none");
}

$(document).ready( function(){
    initInformation();
});


</script>

<style type="text/css" media="all">

#loading {
      position:         absolute;
      top:              0px;
      right:            0px;
      background:       #ffffff;
      color:            #000000;
      font-size:        16px;
      font-familly:     Arial;
      padding:          2px;
      display:          none;
}

.obviousword1 {
      color:red;
}

</style>

<?php

$loginUserid = $USER->id;
$user = get_record('user', 'id', $loginUserid);

echo '<p>'.get_string('studentName', 'reportmodule').$user->firstname.$user->lastname.'</p>';
echo '<p>'.get_string('studentBrief', 'reportmodule').$user->description.'</p>';
echo '<p>'.get_string('email', 'reportmodule').$user->email.'</p>';

echo "<div id=\"courseInformation\">\n";
echo '</div>'."\n";

echo '<div id="editDialog">';
echo '</div>'."\n";

echo '<div id="loading"><img src="pic/loading.gif">&nbsp;Loading&nbsp;...</div>';

echo '<p></p>';

print_footer();

?>